Deactivate course
curl --request POST \
--url https://api.kombo.dev/v1/lms/courses/{course_id}/deactivate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Integration-Id: <x-integration-id>' \
--data '{}'import requests
url = "https://api.kombo.dev/v1/lms/courses/{course_id}/deactivate"
payload = {}
headers = {
"X-Integration-Id": "<x-integration-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Integration-Id': '<x-integration-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.kombo.dev/v1/lms/courses/{course_id}/deactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "26vafvWSRmbhNcxJYqjCzuJg",
"remote_id": "32",
"provider_id": "7xPdr68N8kG9EzLwjsN9xyz",
"origin_id": "course-123",
"remote_created_at": "2022-08-07T14:01:29.196Z",
"remote_deleted_at": null,
"changed_at": "2022-08-07T14:01:29.196Z",
"remote_data": null,
"custom_fields": null,
"integration_fields": [],
"provider": {
"id": "7xPdr68N8kG9EzLwjsN9xyz",
"remote_id": "provider-12345",
"name": "Kombo Academy"
},
"revisions": [
{
"id": "3KMdr68N8kG9EzLwjsN9aoz",
"remote_id": "revision-12345",
"course_id": "26vafvWSRmbhNcxJYqjCzuJg",
"title": "Building LMS integrations with Kombo",
"description": "Learn how to build and integrate Learning Management System (LMS) integrations with Kombo. This course covers the unified LMS API, course management, user enrollment, progress tracking, and best practices for building robust LMS connectors.",
"remote_url": "https://learning.acme.com/courses/building-integrations/v1",
"status": "ACTIVE",
"remote_created_at": "2022-08-07T14:01:29.196Z",
"remote_deleted_at": null,
"changed_at": "2022-08-07T14:01:29.196Z",
"remote_data": null,
"custom_fields": null,
"integration_fields": [],
"skill_assignments": [
{
"skill": {
"id": "4EeSSSd9Fr8iiW9mPKmjEVWK",
"remote_id": "skill-123",
"name": "LMS Integration"
}
}
]
}
]
},
"warnings": [
{
"message": "This is an example warning!"
}
]
}Courses
Deactivate course
Deactivate a course in the LMS.
POST
/
lms
/
courses
/
{course_id}
/
deactivate
Deactivate course
Supported integrations
Supported integrations
This feature is currently available for the following integrations:You’d like to see this feature for another integration? Please reach out!
We’re always happy to discuss extending our coverage.
This endpoint requires the permission Upsert courses to be enabled in your scope config.
Authorizations
Headers
ID of the integration you want to interact with.
Path Parameters
The ID of the course in Kombo or its ID in the remote system by prefixing it with remote: (e.g., remote:12312)
Body
application/json
POST /lms/courses/:course_id/deactivate Request body
The body is of type object.
Response
POST /lms/courses/:course_id/deactivate Positive response
Allowed value:
"success"Show child attributes
Show child attributes
Example:
{
"id": "26vafvWSRmbhNcxJYqjCzuJg",
"remote_id": "32",
"provider_id": "7xPdr68N8kG9EzLwjsN9xyz",
"origin_id": "course-123",
"remote_created_at": "2022-08-07T14:01:29.196Z",
"remote_deleted_at": null,
"changed_at": "2022-08-07T14:01:29.196Z",
"remote_data": null,
"custom_fields": null,
"integration_fields": [],
"provider": {
"id": "7xPdr68N8kG9EzLwjsN9xyz",
"remote_id": "provider-12345",
"name": "Kombo Academy"
},
"revisions": [
{
"id": "3KMdr68N8kG9EzLwjsN9aoz",
"remote_id": "revision-12345",
"course_id": "26vafvWSRmbhNcxJYqjCzuJg",
"title": "Building LMS integrations with Kombo",
"description": "Learn how to build and integrate Learning Management System (LMS) integrations with Kombo. This course covers the unified LMS API, course management, user enrollment, progress tracking, and best practices for building robust LMS connectors.",
"remote_url": "https://learning.acme.com/courses/building-integrations/v1",
"status": "ACTIVE",
"remote_created_at": "2022-08-07T14:01:29.196Z",
"remote_deleted_at": null,
"changed_at": "2022-08-07T14:01:29.196Z",
"remote_data": null,
"custom_fields": null,
"integration_fields": [],
"skill_assignments": [
{
"skill": {
"id": "4EeSSSd9Fr8iiW9mPKmjEVWK",
"remote_id": "skill-123",
"name": "LMS Integration"
}
}
]
}
]
}
These are the interaction warnings that are shown in the dashboard. They are meant to provide debug information to you. We recommend logging them to the console.
Show child attributes
Show child attributes
Was this page helpful?
⌘I